summaryrefslogtreecommitdiffstats
path: root/source/n/netatalk
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/n/netatalk
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/n/netatalk')
-rw-r--r--source/n/netatalk/doinst.sh11
-rwxr-xr-xsource/n/netatalk/netatalk.SlackBuild17
-rw-r--r--source/n/netatalk/netatalk.afpdconf.diff10
-rw-r--r--source/n/netatalk/netatalk.without_xfs.diff22
-rw-r--r--source/n/netatalk/rc.atalk.new169
5 files changed, 143 insertions, 86 deletions
diff --git a/source/n/netatalk/doinst.sh b/source/n/netatalk/doinst.sh
index 0f07997d0..18ce52e2f 100644
--- a/source/n/netatalk/doinst.sh
+++ b/source/n/netatalk/doinst.sh
@@ -18,5 +18,14 @@ if [ -e etc/rc.d/rc.atalk ]; then
fi
config etc/rc.d/rc.atalk.new
-rm -f etc/rc.d/rc.atalk.new
+config etc/netatalk/AppleVolumes.default.new
+config etc/netatalk/AppleVolumes.system.new
+config etc/netatalk/afp_ldap.conf.new
+config etc/netatalk/afpd.conf.new
+config etc/netatalk/afppasswd.new
+config etc/netatalk/atalkd.conf.new
+config etc/netatalk/netatalk.conf.new
+config etc/netatalk/papd.conf.new
+# Don't need an empty file:
+rm -f etc/netatalk/afppasswd.new
diff --git a/source/n/netatalk/netatalk.SlackBuild b/source/n/netatalk/netatalk.SlackBuild
index 467825108..1311736a0 100755
--- a/source/n/netatalk/netatalk.SlackBuild
+++ b/source/n/netatalk/netatalk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-$(echo netatalk-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -70,13 +70,6 @@ find . \
# Fixup some paths in etc2ps.sh
zcat $CWD/netatalk.etc2ps.diff.gz | patch -p1 || exit 1
-# Allow building without xfs quota support
-zcat $CWD/netatalk.without_xfs.diff.gz | patch -p1 || exit 1
-
-# Disallow transmission of passwords via cleartext and with old version 1 of
-# the Diffie-Hellman protocol
-zcat $CWD/netatalk.afpdconf.diff.gz | patch -p1 || exit 1
-
autoreconf -vif
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -88,7 +81,7 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--disable-static \
--with-shadow \
- --without-xfs \
+ --enable-ddp \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
@@ -117,12 +110,10 @@ zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
( cd $PKG/etc/netatalk
- for file in AppleVolumes.default AppleVolumes.system afpd.conf afppasswd atalkd.conf netatalk.conf papd.conf ; do
+ for file in AppleVolumes.default AppleVolumes.system afpd.conf afp_ldap.conf afppasswd atalkd.conf netatalk.conf papd.conf ; do
mv $file ${file}.new
- echo "config etc/netatalk/${file}.new" >> $PKG/install/doinst.sh
done
)
-echo "rm -f etc/netatalk/afppasswd.new" >> $PKG/install/doinst.sh
mkdir -p $PKG/usr/doc/netatalk-$VERSION
cp -a \
diff --git a/source/n/netatalk/netatalk.afpdconf.diff b/source/n/netatalk/netatalk.afpdconf.diff
deleted file mode 100644
index b2cf5df6f..000000000
--- a/source/n/netatalk/netatalk.afpdconf.diff
+++ /dev/null
@@ -1,10 +0,0 @@
-diff -Nur netatalk-2.0.4.orig/config/afpd.conf.tmpl netatalk-2.0.4.new/config/afpd.conf.tmpl
---- netatalk-2.0.4.orig/config/afpd.conf.tmpl 2009-04-30 04:30:13.000000000 -0500
-+++ netatalk-2.0.4.new/config/afpd.conf.tmpl 2009-05-30 23:19:39.663201236 -0500
-@@ -212,4 +212,5 @@
- # "special" -notcp -defaultvol <path> -systemvol <path>
- #
- # default:
--# - -transall -uamlist uams_dhx.so,uams_dhx2.so -nosavepassword
-+# Disallow clear-text transmission of passwords and DHX version 1
-+- -transall -uamlist uams_guest.so,uams_dhx2.so -nosavepassword
diff --git a/source/n/netatalk/netatalk.without_xfs.diff b/source/n/netatalk/netatalk.without_xfs.diff
deleted file mode 100644
index 75f97a038..000000000
--- a/source/n/netatalk/netatalk.without_xfs.diff
+++ /dev/null
@@ -1,22 +0,0 @@
-diff -Nur netatalk-2.0.4.orig/configure.in netatalk-2.0.4.new/configure.in
---- netatalk-2.0.4.orig/configure.in 2009-03-29 02:23:20.000000000 -0500
-+++ netatalk-2.0.4.new/configure.in 2009-05-30 23:11:29.556016349 -0500
-@@ -692,6 +692,10 @@
- # AC_MSG_RESULT([enabling quotactl wrapper])
- # )
-
-+AC_ARG_WITH([xfs],
-+ AS_HELP_STRING([--without-xfs], [Build without XFS filesystem quota support]))
-+
-+if test "x$with_xfs" != "xno"; then
- # For quotas on Linux XFS filesystems
-
- # For linux > 2.5.56
-@@ -699,6 +703,7 @@
- [AC_CHECK_HEADERS(linux/xqm.h linux/xfs_fs.h)
- AC_CHECK_HEADERS(xfs/libxfs.h xfs/xqm.h xfs/xfs_fs.h)]
- )
-+fi
-
-
- dnl ----- as far as I can tell, dbtob always does the wrong thing
diff --git a/source/n/netatalk/rc.atalk.new b/source/n/netatalk/rc.atalk.new
index ce490345f..9cb17f009 100644
--- a/source/n/netatalk/rc.atalk.new
+++ b/source/n/netatalk/rc.atalk.new
@@ -1,56 +1,145 @@
+#! /bin/sh
#
-# AppleTalk daemons. Make sure not to start atalkd in the background:
+# Start/stop the Netatalk daemons.
+#
+# Netatalk daemons.
+# If you use AppleTalk, Make sure not to start atalkd in the background:
# its data structures must have time to stablize before running the
# other processes.
#
-netatalk_start() {
- echo -n 'starting appletalk daemons: '
- if [ -x /usr/sbin/atalkd ]; then
- echo -n ' atalkd'
- /usr/sbin/atalkd
- fi
- if [ -x /usr/bin/nbprgstr ]; then
- echo -n ' nbprgstr'
- /usr/bin/nbprgstr -p 4 `hostname|sed 's/\..*$//'`:Workstation
- /usr/bin/nbprgstr -p 4 `hostname|sed 's/\..*$//'`:netatalk
- fi
- if [ -x /usr/sbin/papd ]; then
- echo -n ' papd'
- /usr/sbin/papd
- fi
- if [ -x /usr/sbin/afpd ]; then
- echo -n ' afpd'
- /usr/sbin/afpd
- fi
- if [ -x /usr/sbin/timelord ]; then
- echo -n ' timelord'
- /usr/sbin/timelord
- fi
- echo
+#
+# kill the named process(es)
+#
+killproc() {
+ pid=`/usr/bin/ps -e |
+ /usr/bin/grep $1 |
+ /usr/bin/sed -e 's/^ *//' -e 's/ .*//'`
+ [ "$pid" != "" ] && kill $pid
}
-netatalk_stop() {
- killall atalkd nbprgstr papd afpd timelord 2> /dev/null
-}
+# netatalk.conf expects hostname in $HOSTNAME by default
+HOSTNAME=`hostname`
+
+. /etc/netatalk/netatalk.conf
+
+
+#
+# Start the netatalk server processes.
+#
+
+atalk_startup() {
+ echo -n 'starting netatalk daemons: '
+ if [ x"${ATALKD_RUN}" != x"no" ]; then
+ if [ -x /usr/sbin/atalkd ]; then
+ /usr/sbin/atalkd; echo -n ' atalkd'
+ fi
-netatalk_restart() {
- netatalk_stop
- sleep 1
- netatalk_start
+ if [ -x /usr/bin/nbprgstr ]; then
+ /usr/bin/nbprgstr -p 4 "${ATALK_NAME}:Workstation${ATALK_ZONE}";
+ /usr/bin/nbprgstr -p 4 "${ATALK_NAME}:netatalk${ATALK_ZONE}";
+ echo -n ' nbprgstr'
+ fi
+
+ if [ x"${PAPD_RUN}" = x"yes" -a -x /usr/sbin/papd ]; then
+ /usr/sbin/papd; echo -n ' papd'
+ fi
+
+ if [ x"${TIMELORD_RUN}" = x"yes" -a -x /usr/sbin/timelord ]; then
+ /usr/sbin/timelord; echo -n ' timelord'
+ fi
+ fi
+
+ if [ x"${CNID_METAD_RUN}" = x"yes" -a -x /usr/sbin/cnid_metad ]; then
+ /usr/sbin/cnid_metad $CNID_CONFIG
+ echo -n ' cnid_metad'
+ fi
+
+ if [ x"${AFPD_RUN}" = x"yes" -a -x /usr/sbin/afpd ]; then
+ /usr/sbin/afpd ${AFPD_UAMLIST} -g ${AFPD_GUEST} \
+ -c ${AFPD_MAX_CLIENTS} -n "${ATALK_NAME}${ATALK_ZONE}"; echo -n ' afpd'
+ fi
+
+ echo '.'
}
+atalk_shutdown() {
+ echo -n 'stopping netatalk daemons:'
+
+ if [ -x /usr/sbin/papd ]; then
+ killproc papd; echo -n ' papd'
+ fi
+
+ if [ -x /usr/sbin/afpd ]; then
+ killproc afpd; echo -n ' afpd'
+ fi
+
+ if [ -x /usr/sbin/cnid_metad ]; then
+ killproc cnid_met; echo -n ' cnid_metad'
+ fi
+
+ if [ -x /usr/sbin/timelord ]; then
+ killproc timelord; echo -n ' timelord'
+ fi
+
+ # kill atalkd last, since without it the plumbing goes away.
+ if [ -x /usr/sbin/atalkd ]; then
+ killproc atalkd; echo -n ' atalkd'
+ fi
+ echo '.'
+}
case "$1" in
+
'start')
- netatalk_start
- ;;
+ if [ x"${ATALK_BGROUND}" = x"yes" ]; then
+ echo -n "Starting netatalk in the background ... "
+ atalk_startup > /dev/null &
+ else
+ atalk_startup
+ fi
+ ;;
+
+#
+# Stop the netatalk server processes.
+#
'stop')
- netatalk_stop
- ;;
+
+ echo -n 'stopping netatalk daemons:'
+
+ if [ -x /usr/sbin/papd ]; then
+ killproc papd; echo -n ' papd'
+ fi
+
+ if [ -x /usr/sbin/afpd ]; then
+ killproc afpd; echo -n ' afpd'
+ fi
+
+ if [ -x /usr/sbin/cnid_metad ]; then
+ killproc cnid_met; echo -n ' cnid_metad'
+ fi
+
+ if [ -x /usr/sbin/timelord ]; then
+ killproc timelord; echo -n ' timelord'
+ fi
+
+ # kill atalkd last, since without it the plumbing goes away.
+ if [ -x /usr/sbin/atalkd ]; then
+ killproc atalkd; echo -n ' atalkd'
+ fi
+
+ echo '.'
+ ;;
+
'restart')
- netatalk_restart
- ;;
+atalk_shutdown
+atalk_startup
+ ;;
+#
+# Usage statement.
+#
+
*)
- netatalk_start
+ echo "usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
esac
-